org.apache.synapse.transport.passthru.util

## Class BinaryRelayBuilder

- java.lang.Object
- - org.apache.synapse.transport.passthru.util.BinaryRelayBuilder

- All Implemented Interfaces:
    org.apache.axis2.builder.Builder

      public class BinaryRelayBuilder
      extends java.lang.Object
      implements org.apache.axis2.builder.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryRelayBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `processDocument(java.io.InputStream inputStream, java.lang.String contentType, org.apache.axis2.context.MessageContext messageContext)`
    `static byte[]` | `readAllFromInputSteam(java.io.InputStream in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryRelayBuilder

          public BinaryRelayBuilder()

  - ### Method Detail

    - #### readAllFromInputSteam

          public static byte[] readAllFromInputSteam(java.io.InputStream in)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### processDocument

          public org.apache.axiom.om.OMElement processDocument(java.io.InputStream inputStream,
                                                               java.lang.String contentType,
                                                               org.apache.axis2.context.MessageContext messageContext)
                                                        throws org.apache.axis2.AxisFault

      Specified by:
        `processDocument` in interface `org.apache.axis2.builder.Builder`
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.